ebtables (2.0.10.4-3.4ubuntu2.16.04.2) xenial; urgency=medium

  [ Dan Streetman ]
  * Never return failure during ebtables.init stop(), it can cause
    errors during package upgrade (LP: #1774120)
  * Add version number check to prerm script, to only ignore
    failed upgrade for older versions instead of all versions.

  [ Balint Reczey ]
  * Update versions to fix in prerm to Xenial's ebtables versions

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Jun 2018 18:04:35 +0200

ebtables (2.0.10.4-3.4ubuntu2.16.04.1) xenial; urgency=medium

  * Fix check of fcntl errno value, to allow lockfile contention to work.
    (LP: #1772456)

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 21 May 2018 13:20:15 -0400

ebtables (2.0.10.4-3.4ubuntu2) xenial; urgency=medium

  * Use real locking in ebtables (LP: #1645324)
    - Prior use of locking by file exclusive access is inadequate
      because if ebtables crashes or is killed it will leave a
      stale lock file behind which then blocks new ebtables from
      running.

 -- Dragan Stancevic <dragan.stancevic@canonical.com>  Mon, 29 May 2017 16:07:53 -0400

ebtables (2.0.10.4-3.4ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1556300).  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 11 Mar 2016 14:12:56 -0800

ebtables (2.0.10.4-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/ebtables.postinst: Check if /var/lib/ebtables exists before trying
    to delete it (Closes: #813889)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Feb 2016 21:46:31 +0100

ebtables (2.0.10.4-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch the postrm script from /bin/bash to /bin/sh

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 13:53:20 +0100

ebtables (2.0.10.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/lockdirfix.patch: Move the lock file to /run instead of
    /var/lib/ebtables directory (Closes: #813760)
  * debian/ebtables.postinst: Remove /var/lib/ebtables during upgrade, that
    directory was created by ebtables but not tracked by the package.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 13:29:39 +0100

ebtables (2.0.10.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use arch:linux-any instead of arch:any (Closes: #745165)
  * Ship ebtables-restore and ebtables-save during build (Closes: #813752)
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Drop obsolete hardening-wrapper and use dpkg-buildflags instead. Also pass
    all the *FLAGS to the Makefile so we are sure they are used.
  * Drop debian/ebtables.override: All the overrides are not needed anymore.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 02:11:19 +0100

ebtables (2.0.10.4-3ubuntu1) trusty; urgency=low

  * Merge with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Nov 2013 11:42:46 +0000

ebtables (2.0.10.4-3) unstable; urgency=low

  * packaging update:
    - fix missing dot in DEB_DH_INSTALLINIT_ARGS (Closes: #706885)

 -- William Dauchy <wdauchy@gmail.com>  Mon, 06 May 2013 14:06:02 +0000

ebtables (2.0.10.4-2ubuntu2) saucy; urgency=low

  * Add trailing "." to update-rc.d arguments (LP: #1176436) 

 -- Iain Lane <iain.lane@canonical.com>  Sun, 05 May 2013 20:14:40 +0100

ebtables (2.0.10.4-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 May 2013 11:06:40 -0700

ebtables (2.0.10.4-2) unstable; urgency=low

  * packaging update:
    - add install init args in rules to fix install warning (Closes: #697275)
    - module-init-tools is a transitional package. replacing it with kmod
    (Closes: #697276)
    - "init script returns 1 when ebtables is removed" (Closes: #684592)

 -- William Dauchy <wdauchy@gmail.com>  Tue, 20 Mar 2013 15:46:02 +0000

ebtables (2.0.10.4-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 17:42:18 +0000

ebtables (2.0.10.4-1) unstable; urgency=low

  * New upstream release
    - "v2.0.10-1 wish for ipv6-icmp and security" (Closes: #643594).
  * packaging update:
    * use debhelper & compat version 9.
    * standards to 3.9.3
    - "ebtables may use modprobe, so it should recommend module-init-tools"
      (Closes: #614919)
    * missing cdbs build dependency
    * add hardening to debian rules.
    * init: add run level 1 to Default-Stop rule
  * patchworks:
    + refresh patches with new release
    + refresh patch headers
  * Adding myself as uploaders
  * Removing Jan Christoph Nordholz from uploaders

 -- William Dauchy <wdauchy@gmail.com>  Thu, 24 May 2012 12:24:02 +0000

ebtables (2.0.9.2-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS due to missing __aligned_u64 definition (Closes: #661449):
    - 04compensate-for-missing-aligned-u64.patch
  * Set urgency to “high” for RC bug fix.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 03 Mar 2012 15:24:02 +0000

ebtables (2.0.9.2-2ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 21:01:35 +0100

ebtables (2.0.9.2-2ubuntu2) precise; urgency=low

  * Add patch 05link_with_no-as-needed.patch to link ebtables with
    --no-as-needed and adjust the link order to fix crash when running
    ebtables (LP: #899315)
  * debian/rules: add -g option to DEBCFLAGS, so symbols can be extracted
    into an ebtables-dbgsym package

 -- Albert Damen <albrt@gmx.net>  Sun, 04 Dec 2011 21:19:58 +0100

ebtables (2.0.9.2-2ubuntu1) precise; urgency=low

  * Add 04define__aligned_u64.patch to define __aligned_u64
    before including linux/if_packet.h, resolving FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 00:25:41 -0700

ebtables (2.0.9.2-2) unstable; urgency=low

  * Add a lintian override concerning the usage of -rpath that got lost
    in the last revision.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 10 May 2010 14:08:01 +0200

ebtables (2.0.9.2-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Added homepage tag

 -- Jochen Friedrich <jochen@scram.de>  Fri, 07 May 2010 16:50:04 +0200

ebtables (2.0.9.1-1) unstable; urgency=low

  * New upstream release:
    * New modules for ip6 and nflog.
  * Bump Standards version to 3.8.2:
    * Catch postrm errors.
    * Specify GPL version and cleanup copyright file.
  * Bump debhelper level to 7.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 28 Jun 2009 20:01:25 +0200

ebtables (2.0.8.2-4) unstable; urgency=low

  * Don't have the initscript probe for kernel support if it is not going
    to actually do something. Thanks to Patrick McHardy for report and patch!
    Closes: #476429.
  * While I'm at it, make a few minor (unrelated) improvements to the
    initscript.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 20 Apr 2008 00:56:39 +0200

ebtables (2.0.8.2-3) unstable; urgency=low

  * Fix NAME section in ebtables(8) manpage.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 01:48:33 +0200

ebtables (2.0.8.2-2) unstable; urgency=low

  * Replace call to $(LD) with $(CC) to fix FTBFS on hppa.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 04 Nov 2007 14:38:12 +0100

ebtables (2.0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Replace dpatches 10-12 with new 02makefile_adjustments
    as upstream has incorporated most of our changes.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 23 Sep 2007 15:28:36 +0200

ebtables (2.0.8.1-2) unstable; urgency=low

  * Thoroughly clean up the installation logic of upstream's
    Makefile. Closes: #431345.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 02 Jul 2007 23:05:34 +0200

ebtables (2.0.8.1-1) unstable; urgency=low

  * New upstream release. Closes: #428924, #403674.
    (428924: FTBFS with linux-libc-dev)
    (403674: wishlist bug: new upstream available)
  * Bump Standards version to 3.7.2.
  * Replace debhelper+cdbs with debhelper+dpatch (personal
    preference).
  * Write a debian-specific initscript. The upstream one is
    too closely tied to redhat.
  * Add a lintian override concerning the usage of -rpath for the
    time being, as fixing this will require invasive upstream
    code changes.
  * Fix watch file.
  * Add myself as uploader.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 23 Jun 2007 22:54:05 +0200

ebtables (2.0.6-3) unstable; urgency=low

  * Applied patch from Andreas Jochens <aj@andaco.de> to make
    ebtables compile with gcc-4.0 (Closes: #288975).

 -- Jochen Friedrich <jochen@scram.de>  Sat, 29 Jan 2005 22:55:59 +0100

ebtables (2.0.6-2) unstable; urgency=low

  * Fix FTBFS with gcc-3.4 (Closes: #258636).
    Thanks to Andreas Jochens <aj@andaco.de> for the patch.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 14 Jul 2004 17:21:49 +0200

ebtables (2.0.6-1) unstable; urgency=low

  * New upstream release
    + <grzes_at_gnu.univ.gda.pl> added arpreply and among modules
    + <tommy_at_home.tig-grr.com> added limit match

 -- Jochen Friedrich <jochen@scram.de>  Fri,  2 Jan 2004 22:29:45 +0100

ebtables (2.0.5-2) unstable; urgency=low

  * The "I should really check what i upload" revision
  * New maintainer (Closes: #211788)
  * Changed build system to cdbs
  * Bumped policy to 3.6.1
  * New upstream homepage
  * Removed conffiles, files in /etc are automatically flagged as
    conffiles in compat level 4 used by cdbs

 -- Jochen Friedrich <jochen@scram.de>  Mon, 29 Sep 2003 19:46:31 +0200

ebtables (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Jochen Friedrich <jochen@scram.de>  Thu, 25 Sep 2003 23:29:34 +0200

ebtables (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- David Kimdon <dwhedon@debian.org>  Fri, 23 May 2003 22:00:36 -0700

ebtables (2.0.2-1) unstable; urgency=low

  * Initial Release.

 -- David Kimdon <dwhedon@debian.org>  Fri, 17 Jan 2003 20:05:00 -0800
